Bug 204791 - FreeBSD UEFI boot is not compatible with root on ZFS
Summary: FreeBSD UEFI boot is not compatible with root on ZFS
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: misc (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Some People
Assignee: freebsd-bugs mailing list
URL: https://reviews.freebsd.org/D4104
Keywords: uefi
Depends on:
Blocks: 203349
  Show dependency treegraph
 
Reported: 2015-11-24 21:02 UTC by Ed Maste
Modified: 2016-12-30 14:20 UTC (History)
3 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2015-11-24 21:02:40 UTC
boot1.efi/loader.efi do not work with root on ZFS without hacks like storing the kernel and loader.conf in the EFI FAT partition
Comment 1 Ed Maste freebsd_committer 2015-11-24 22:36:58 UTC
WIP in review at https://reviews.freebsd.org/D4104
Comment 2 Tony Narlock 2015-11-27 07:13:14 UTC
Thanks, been waiting to see this.

Interested in testing this out. Using Thinkpad X230.
Comment 3 Tony Narlock 2015-12-29 06:07:33 UTC
If I wanted to test this on a USB Key version of the installer, could I just fetch https://reviews.freebsd.org/file/data/xxigv3tkegtefkvmzkko/PHID-FILE-2ictbi3caifzol7xf5fq/D4104.diff, patch my CURRENT /usr/src and build a usb key img?
Comment 4 Steven Hartland freebsd_committer 2016-01-23 17:00:08 UTC
ZFS support for efi has now been committed to head please do test
Comment 5 Tony Narlock 2016-01-23 17:36:39 UTC
(In reply to Steven Hartland from comment #4)
Does that mean it will work with ZFS + drive encryption via the installer?
Comment 6 Steven Hartland freebsd_committer 2016-01-23 19:24:02 UTC
(In reply to Tony Narlock from comment #5)
allan was working on ZFS geli support I don't think it's been committed yet